reprepro (4.17.0-1) unstable; urgency=medium

  * new release
  - some manpage fixes (Closes: #784024, #803481)
  - add support for -dbgsym packages (Closes: #808558)
  - allow comments in filterlists (Closes: #781258)
  - fix parsing of strangly formated control files (Closes: #783129)
  - add Exportoptions: noexport option in conf/distributions (Closes: #788351)

 -- Bernhard R. Link <brlink@debian.org>  Mon, 28 Dec 2015 13:20:02 +0100

reprepro (4.16.0-1) unstable; urgency=medium

  * new release
  - don't use python2 in examples
  - support for using liblzma for decompressing .xz and .lzma
  * build-depend on liblzma-dev
  * switch Vcs-Browser to cgi URL.

 -- Bernhard R. Link <brlink@debian.org>  Sun, 31 Aug 2014 18:49:44 +0200

reprepro (4.15.0-1) unstable; urgency=medium

  * new release
  - fixes to outsftphook example
  - new xz.example to generate Packages.xz
  * add pinentry-curses to build-depends to reduce install size
  * ship more of the example scripts
  * add pinentry-curses to Depends to avoid pulling pinentry-gtk in

 -- Bernhard R. Link <brlink@debian.org>  Sat, 28 Jun 2014 13:46:06 +0200

reprepro (4.14.0-1) unstable; urgency=medium

  * new release
  - update omits sources with Extra-Source-Only by default (Closes: #714418)
  - improve documentation of --list-format (Closes: #731966)
  - fix udeb overrides (Closes: #741507)
  - improve some glitches in error messages (Closes: #738558)
  - add _addreferences command (Closes: #739174, #739175)
  * increase Standards-Version to 3.9.5

 -- Bernhard R. Link <brlink@debian.org>  Tue, 18 Mar 2014 15:12:58 +0100

reprepro (4.13.1-1) unstable; urgency=low

  * new bugfix release
  - fix bug in restore* commands not doing anything if the
    last package is not affected
  - fix build-needing to support *-any architectures
  - fix name of per-component udeb Content file names

 -- Bernhard R. Link <brlink@debian.org>  Sun, 02 Jun 2013 16:49:21 +0200

reprepro (4.13.0-1) experimental; urgency=low

  * new release
  - add signing hook to replace how Release files are signed (Closes: 469656)
  - add outhook to be called when things are changed (Closes: 495302)
  - add lsbycomponent command (Closes: 696322)

 -- Bernhard R. Link <brlink@debian.org>  Tue, 01 Jan 2013 10:59:34 +0100

reprepro (4.12.5-1) unstable; urgency=low

  * new bugfix release
  - multiple documentation improvements

 -- Bernhard R. Link <brlink@debian.org>  Mon, 31 Dec 2012 17:12:47 +0100

reprepro (4.12.4-1) unstable; urgency=low

  * new bugfix release
  - fix assert() triggering when requesting only .bz2 indicies
  - fix typo in manpage (Closes: 681105)
  - don't stop on no-newline warnings when parsing .diff.gz files
    (Closes: 681094)

 -- Bernhard R. Link <brlink@debian.org>  Thu, 12 Jul 2012 15:30:12 +0200

reprepro (4.12.3-1) unstable; urgency=low

  * new bugfix release
  - add support for new http method redirect behavior
  - improve environment variable description in manpage (Closes: 676508)
  - improve error message with unterminated filterlists (Closes: 678326)

 -- Bernhard R. Link <brlink@debian.org>  Sun, 24 Jun 2012 23:04:55 +0200

reprepro (4.12.2-1) unstable; urgency=low

  * new bugfix release
  - fix bug parsing uploader files with many group members
    (Closes: 676519)

 -- Bernhard R. Link <brlink@debian.org>  Thu, 07 Jun 2012 22:58:53 +0200

reprepro (4.12.1-1) unstable; urgency=low

  * new bugfix release
  - fix bash and zsh completion to work with config directories
    (Closes: 676336)
  - add experimental -A, -C, -T support to the pull/update family of commands
    (Closes: 675182)
  * install zsh completion to /usr/share/zsh/vendor-completions
  * mention changestool and rredtool in package description
    (Closes: 676250)

 -- Bernhard R. Link <brlink@debian.org>  Thu, 07 Jun 2012 12:44:11 +0200

reprepro (4.12.0-1) unstable; urgency=low

  * new release
  - support consuming remote repositories with
    InRelease and without md5 sums.

 -- Bernhard R. Link <brlink@debian.org>  Wed, 23 May 2012 16:09:02 +0200

reprepro (4.11.0-1) unstable; urgency=low

  * new release
  - change Contents-generation defaults for >= wheezy.

 -- Bernhard R. Link <brlink@debian.org>  Tue, 24 Apr 2012 18:23:49 +0200

reprepro (4.10.0-1) unstable; urgency=low

  * new release
  - reading configuration from directories (Closes: 665284)
  - improve changelogs.example (Closes: 665284)
  - improve uploaders description (Closes: 661493)
  - fix typo in manpage (Closes: 653774)
  - add 'supersede' ListFilter keyword (Closes: 663956)
  * bump Standards-Version

 -- Bernhard R. Link <brlink@debian.org>  Mon, 26 Mar 2012 16:28:59 +0200

reprepro (4.9.0-1) unstable; urgency=low

  * new release
  - fix changelog example to not install files +x (Closes: 656185)
  - build-needing can find architecture 'all' packages
    needing building (Closes: 656187)
  - uploader files now can 'include' other files (Closes: 656422)

 -- Bernhard R. Link <brlink@debian.org>  Sun, 22 Jan 2012 08:17:19 +0100

reprepro (4.8.2-1) unstable; urgency=low

  * new bugfix release
  - warn against too long keyids in uploader files (Closes: 649311)
  - don't warn against .git files in .changes files (Closes: 649308)
  * suggest  xz-lzma | lzma instead of lzma alone

 -- Bernhard R. Link <brlink@debian.org>  Sun, 18 Dec 2011 20:53:58 +0100

reprepro (4.8.1-1) unstable; urgency=high

  * new bugfix release
  - fix NULL-dereference with broken Packages.diff (Closes: 644887)

 -- Bernhard R. Link <brlink@debian.org>  Mon, 10 Oct 2011 10:00:41 +0000

reprepro (4.8.0-1) unstable; urgency=low

  * new release
  - properly escape strings to archive_set_error (Closes: 643467)
  - option to control percomponent contents compatibility symlink

 -- Bernhard R. Link <brlink@debian.org>  Mon, 03 Oct 2011 15:49:16 +0000

reprepro (4.7.0-1) unstable; urgency=low

  * new release
  - add 'redochecksums' command (Closes: 638299)
  - add percomponent and allcomponents to Contents: flags (Closes: 636934)

 -- Bernhard R. Link <brlink@debian.org>  Wed, 24 Aug 2011 09:50:44 +0200

reprepro (4.6.1-1) unstable; urgency=low

  * new release
  - Improve message when replacing by same version (Closes: 631588)
  - Update package deletions also when no additions (Closes: 628542)

 -- Bernhard R. Link <brlink@debian.org>  Fri, 29 Jul 2011 14:42:44 +0200

reprepro (4.6.0-1) unstable; urgency=low

  * new release
  - general cleanup
  - new FilterSrcList
  * increase Standards-Version, no changes needed

 -- Bernhard R. Link <brlink@debian.org>  Thu, 05 May 2011 16:34:23 +0200

reprepro (4.5.1-1) unstable; urgency=low

  * new bugfix release
  - build with libdb5
  - fix not refusing wrong architecture packages with pull
  - add checks against wrong architecture in check (Closes: 613229)

 -- Bernhard R. Link <brlink@debian.org>  Tue, 01 Mar 2011 18:11:57 +0100

reprepro (4.5.0-1) unstable; urgency=low

  * new release
  - fix missing "not" in manpage (Closes: 612943)
  - work with repositories missing MD5Sum in Release (Closes: 614361)
  * support dpkg-buildflags
  * drop support for pre-lenny DEB_BUILD_OPTIONS with ','
  * change debhelper compatibility to 7

 -- Bernhard R. Link <brlink@debian.org>  Mon, 21 Feb 2011 16:32:55 +0100

reprepro (4.4.0-1) unstable; urgency=low

  * new upstream release
  - fix multiple typos in docs/manual.html (Closes: 610304)
  - add removesrcs command (Closes: 606457)

 -- Bernhard R. Link <brlink@debian.org>  Mon, 17 Jan 2011 20:02:23 +0100

reprepro (4.3.0-1) experimental; urgency=low

  * new upstream release
  - add support for lzip compressed files (Closes: 600230)
  - add support for ButAutomaticUpgrades field (Closes: 600358)
  - fix compiling with gcc4.5 (Closes: 600982)
  - add 'unusedsources' and 'sourcemissing' commands (Closes: 590477)
  - fix handling of packages with a $Component override but no real ones

 -- Bernhard R. Link <brlink@debian.org>  Sun, 24 Oct 2010 11:06:48 +0200

reprepro (4.2.0-2) unstable; urgency=low

  * include sys/stat.h in filecntl.h (Closes: 600982)
  * Don't get confused with packages only having special override
    entries
  * adopt changelogs.example to new dpkg-source
  * add support for ButAutomaticUpgrades (Closes: 600358)

 -- Bernhard R. Link <brlink@debian.org>  Fri, 22 Oct 2010 16:54:03 +0200

reprepro (4.2.0-1) unstable; urgency=low

  * Fix Berkley -> Berkeley (Closes: 586899)
  * new upstream release
  - allow patterns in override files
  - apply override files when doing 'pull' and 'update'
  - add special '$Component' override field
  - create InRelease file additionally to Release.gpg

 -- Bernhard R. Link <brlink@debian.org>  Sun, 11 Jul 2010 12:21:14 +0200

reprepro (4.1.2-1) unstable; urgency=low

  * new bugfix release
  - fix parsing of .orig-*.tar.* lines in .changes files (Closes: 579754)
  - add option to limit update and pull effect (Closes: 580040)

 -- Bernhard R. Link <brlink@debian.org>  Sat, 08 May 2010 14:10:02 +0200

reprepro (4.1.1-1) unstable; urgency=low

  * new upstream release
  - fix bug causing --changes Log:-notifiers not called by processincoming
  - add '${$source}' and '${$sourceversion}' to --list-format

 -- Bernhard R. Link <brlink@debian.org>  Tue, 27 Apr 2010 14:16:29 +0200

reprepro (4.1.0-1) unstable; urgency=low

  * new upstream release
  - rredtool can now create .diff/Index files,
    so one no longer needs python-apt and the included tiffany.py example
  - include stdint.h where uint32_t is used (Closes: 556422)
  - properly handle relative LogDir in conf/incoming (Closes: 565658)
  - fix some spelling mistakes in docs/recovery (Closes: 568712)
  - fix failure when trying to get only one of section or priority from
    a tar file. (Closes: 569115)
  * Bump standards version
  * use 3.0 source format

 -- Bernhard R. Link <brlink@debian.org>  Tue, 16 Feb 2010 17:21:54 +0100

reprepro (4.0.2-1) unstable; urgency=low

  * new bugfix and futureproof release
  - fix regression (since 3.8.0) breaking updating architecture all
    packages from another architecture.
  - add support for xz compression

 -- Bernhard R. Link <brlink@debian.org>  Fri, 30 Oct 2009 14:33:27 +0100

reprepro (4.0.1-1) unstable; urgency=low

  * new bugfix release
  * optimistically build-depend on libdb-dev (Closes: 526244, 548487)

 -- Bernhard R. Link <brlink@debian.org>  Fri, 09 Oct 2009 13:10:44 +0200

reprepro (4.0.0-1) unstable; urgency=low

  * new release
  - remove obsolete --overridedir and old-style files.db support
  - update bash and zsh completions (Closes: 545069)
  - remove mentioning obsolete 'none' keyword in short-howto (Closes: 545421)

 -- Bernhard R. Link <brlink@debian.org>  Mon, 14 Sep 2009 15:11:35 +0200

reprepro (3.12.1-1) unstable; urgency=medium

  * new bugfix release
  - fix problems with libgpgme 1.2.0 (Closes: 545937)

 -- Bernhard R. Link <brlink@debian.org>  Thu, 10 Sep 2009 14:55:06 +0200

reprepro (3.12.0-1) unstable; urgency=low

  * new release
  - improve error message when deleteunreferenced
    is alled with keepunreferencedfiles in conf/options (Closes: 539509)
  - add possibility to specify a directory relative to basedir by
    prepending '+b/' (Closes: 540115)
  - extend FakeComponentPrefix to also hide that prefix from components
    that already have it. (Closes: 541261)
  - add new 'flood' command to align architecture 'all' packages between
    the different architectures of an distribution. (Closes: 440872)
  - new --show-percent option to show download percents (Closes: 480153)
  - multiple improvements to make it easier to match architecture 'all'
    packages to binary versions of different versions in the different
    architectures (Closes: 539836)
  * Bump Standards-Version

 -- Bernhard R. Link <brlink@debian.org>  Sat, 22 Aug 2009 13:01:46 +0200

reprepro (3.11.1-1) unstable; urgency=low

  * new bugfix/minor-extensions release:
  - add --create-with-all-fields option to changestool to create
    .changes files dupload does not choke on. (Closes: 536788)
  - add --morguedir option to specify a place where files removed
    from the pool are stored. (Closes: 461314)
  - fix build-needing not looking at dsc's Architecture field
    (Closes: #537770)
  - allow specifying source or version easier in formulas (Closes: 468485)

 -- Bernhard R. Link <brlink@debian.org>  Sun, 26 Jul 2009 12:23:59 +0200

reprepro (3.11.0-1) unstable; urgency=low

  * new release
  - new --list-max and --list-skip options
  - new listmatched, removematched, copymatched and restorematched
  - new build-needing command
  - pull, predelete and update imply retrack where sensible

 -- Bernhard R. Link <brlink@debian.org>  Tue, 14 Jul 2009 16:34:35 +0200

reprepro (3.10.0-1) unstable; urgency=low

  * new release
  - hint at what remove does with packages' files in manpage
    (Closes: 528498)
  - allow subkeys in uploader lists and Release.gpg checking when
    requested (Closes: 522522)
  - fix handling of 16-hexdigit keyids in VerifyRelease (Closes: 525941)
  - more conditions in uploaders files (Closes: 497398)
  * update Vcs-Browser field (Closes: 528291)

 -- Bernhard R. Link <brlink@debian.org>  Wed, 03 Jun 2009 11:28:08 +0200

reprepro (3.9.2-1) unstable; urgency=low

  * new bugfix release
  - fix logic inversion whether to download (Packages|Sources).diff without
    a DownloadListsAs line. (Closes: 522329)

 -- Bernhard R. Link <brlink@debian.org>  Fri,  3 Apr 2009 10:07:13 +0200

reprepro (3.9.1-1) unstable; urgency=low

  * new bugfix release
  - fix misparsing some libz return code as error
    (should hopefully only be visible when trying to extract
     Section and Priority from a .dsc).

 -- Bernhard R. Link <brlink@debian.org>  Wed, 18 Mar 2009 18:39:51 +0100

reprepro (3.9.0-1) unstable; urgency=low

  * new release
  - support using Packages.diff (Closes: 405634)
  - fix hint to get gpg error message in case libgpgme returns generic error
    to not list files deleted later, delete all .new files on error unless
    new --keeptemporaries is specified (Closes: 516395)
  - delete unexpected files in the pool which are in the way of new files
    (Closes: 516578)
  - describe conf/options in manual.html (Closes: 514801)

 -- Bernhard R. Link <brlink@debian.org>  Fri,  6 Mar 2009 13:28:28 +0100

reprepro (3.8.2-1) unstable; urgency=low

  * add conf/distribution ReadOnly: option (Closes: 515030)
  * warn in manpage that Codename should be a permanent name (Closes: 515114)

 -- Bernhard R. Link <brlink@debian.org>  Sat, 14 Feb 2009 13:10:13 +0100

reprepro (3.8.1-1) experimental; urgency=low

  * fix typo making copyfilter unuseable (Closes: 512586)
  * fix bug preventing importing source packages from a flat
    repository without Directory fields in Sources

 -- Bernhard R. Link <brlink@debian.org>  Sat, 24 Jan 2009 17:12:05 +0100

reprepro (3.8.0-1) experimental; urgency=low

  * new release
  - support generation of Valid-Until lines
  - support downloading .bz2 and .lzma index files
  - run gunzip and bunzip2 as external programs to distribute load
  - update rules can refer to other ones for default values
  - new ls/dumpupdates/dumppulls actions

 -- Bernhard R. Link <brlink@debian.org>  Sat, 17 Jan 2009 22:20:34 +0100

reprepro (3.6.3-1) experimental; urgency=low

  * new point release with backports from the development branch
  - fix sha256 generation of very large files (Closes: 506674),
    thanks to Max Bowsher
  - allow multiple export hooks at once (Closes: 495303)
  - use libgpg-error directly (Closes: 502945)

 -- Bernhard R. Link <brlink@debian.org>  Mon, 24 Nov 2008 10:36:58 +0100

reprepro (3.6.2-1) experimental; urgency=low

  * new bugfix release
  - fix parsing contents of very large .deb files (Closes: 504434)
  - improve documentation of remove and removefilter (Closes: 500105)
  - improve documentation of copysrc and -C (Closes: 496347)
  - fix many spelling and other errors in the manpage (Closes: 502531)

 -- Bernhard R. Link <brlink@debian.org>  Tue,  4 Nov 2008 21:20:21 +0100

reprepro (3.6.1-2) experimental; urgency=low

  * change to use libdb4.6 by default (Closes: 442668)
    to enable upgrades from unstable to experimental

 -- Bernhard R. Link <brlink@debian.org>  Mon,  6 Oct 2008 09:38:23 +0200

reprepro (3.6.1-1) experimental; urgency=medium

  * new bugfix release
  - make reoverride work again (LP: #206663)
  - fix bzip2 compression

 -- Bernhard R. Link <brlink@debian.org>  Fri, 15 Aug 2008 15:43:37 +0200

reprepro (3.6.0-1) experimental; urgency=low

  * new upstream release
  - fix bashism in doc/bzip2.example (Closes: 489652)
  - add IgnoreHashes option (Closes: 488858)
  - remove iteratedupdate
  - speed up updating
  - fix multiple little bugs

 -- Bernhard R. Link <brlink@debian.org>  Mon,  7 Jul 2008 15:32:52 +0200

reprepro (3.5.2-1) unstable; urgency=medium

  * new bugfix release
  - repair option file processing broken in 3.5.0
  - add FakeComponentPrefix to work around apt's / handling in codenames
  (Closes: 487955)

 -- Bernhard R. Link <brlink@debian.org>  Fri, 27 Jun 2008 17:11:23 +0200

reprepro (3.5.1-1) unstable; urgency=low

  * new bugfix version
  - no error when trying to removing nonexistant package with
    removesrc in a distribution with tracking enabled. (Closes: 484792)
  - support for format 3.0 source packages
  - improve portability (Closes: 485552)
  * revert to unversioned libarchive-dev build-dependency

 -- Bernhard R. Link <brlink@debian.org>  Mon, 23 Jun 2008 16:55:52 +0200

reprepro (3.5.0-1) unstable; urgency=medium

  * new version
  - put --delete in reprepro.1's description of createsymlinks at the correct
    place. (Closes: 481404)
  - allow suite names in command line arguments (Closes: 481402)
  - add support for Sha256
  - improve documentation of listfilter (Closes: 475558)
  - fix misspelling of incoming (Closes: 482655)
  * make build-depend on libarchive-dev temporarily versioned to allow
    easier migration to testing.
  * support parallel=n and only use noopt when space-delimited
  * rename reprepro specific DEB_BUILD_OPTIONS from reprepro:* to reprepro-*
  * bump standards-version to 3.8.0

 -- Bernhard R. Link <brlink@debian.org>  Fri,  6 Jun 2008 11:00:03 +0200

reprepro (3.4.2-1) unstable; urgency=high

  * new bugfix release
  - do not segfault upon remove with Log-script (closes: 480993)

 -- Bernhard R. Link <brlink@debian.org>  Fri, 16 May 2008 12:06:43 +0200

reprepro (3.4.1-1) unstable; urgency=high

  * new bugfix release
  - do not segfault upon remove with Log-script (Closes: 475557)

 -- Bernhard R. Link <brlink@debian.org>  Sun, 13 Apr 2008 12:32:32 +0200

reprepro (3.4.0-1) unstable; urgency=medium

  * new release
  - fix -S and -P mixup (Closes: 473609)
  - includedsc supports extraction of Section and Priority from .diff and
    .tar files (Closes: 469673)
  - incorporate text improvements of messages by Marc Haber (Closes: 469646)
  - add missing colons to DebIndicies example (Closes: 469810)
  - set REPREPRO_CAUSING_FILE environment variable in log scripts to the
    file causing this change. (Closes: 469651)
  - fix save vs safe misspellings (Closes: 472577)
  - document Log: directive in manual.html (Closes: 469817)
  - add copysrc and copyfilter commands (Closes: 465219)
  * add a doc-base file hinting to the manual

 -- Bernhard R. Link <brlink@debian.org>  Sun,  6 Apr 2008 15:18:17 +0200

reprepro (3.3.2-1) unstable; urgency=low

  * bugfix release
  - fix stupid c&p error in includedeb triggered by not uptodate files
    database (Closes: 468650)
  - improve documentation of listfilter command (Closes: 468109)

 -- Bernhard R. Link <brlink@debian.org>  Sun,  2 Mar 2008 16:24:57 +0100

reprepro (3.3.1-1) unstable; urgency=low

  * bugfix release
  - fix --waitforlock on 64 bit architectures (Closes: 465141)
  - add --outdir to set directory pool and dists are put (Closes: 465213)
  - ignore missing Changes and Description lines in .changes files
    (Closes: 465831)
  - include* commands try harder to remove added files not used.
  - fix the compilation with --without-libarchive (Closes: 466745)
  * change Vcs-Cvs to format from cvs understandable to one debcheckout
    likes. (Closes: 465924)

 -- Bernhard R. Link <brlink@debian.org>  Thu, 28 Feb 2008 12:07:44 +0100

reprepro (3.3.0-1) unstable; urgency=low

  * new version
  - modified reading of .dsc/.changes/.deb-control files.
    Should hopefully not change anything except filtering out CRs in them.
  - add support for .tar.lzma and .diff.lzma in source packages
  - add support for sha1 hashes (and prepare additional hashes to come)
  * increase debhelper compatiblity to 5, standards-version to 3.7.3

 -- Bernhard R. Link <brlink@debian.org>  Sat, 09 Feb 2008 16:58:18 +0100

reprepro (3.0.1-1) unstable; urgency=low

  * new version
  - fix c&p error in manpage, thanks to Raphael Geissert (Closes: 449210)
  * move from XS-Vcs- to Vcs- headers
  * move Homepage field into headers
  * make apt recommends instead of depends, as only needed when updating
    from other repositories.

 -- Bernhard R. Link <brlink@debian.org>  Tue, 13 Nov 2007 11:43:21 +0100

reprepro (3.0.0-1) unstable; urgency=low

  * new version
  - ignore SIGPIPE, as libgpgme can cause it (Closes: 437138)
  - new config file parser (Closes: 438941, 440029)
  - always read and check distributions config first (Closes: 439154)
  - fix grammar error in manpage (Closes: 441300)
  - warn about unused tracking data (Closes: 426596)
  - add removesrc (Closes: 440101)
  - contents.cache.db file format changed

 -- Bernhard R. Link <brlink@debian.org>  Mon,  8 Oct 2007 12:38:10 +0200

reprepro (2.2.4-1) unstable; urgency=high

  * fix bug causing a Release.gpg with only unknown signatures
    considered as properly signed.

 -- Bernhard R. Link <brlink@debian.org>  Sun, 19 Aug 2007 16:36:44 +0200

reprepro (2.2.3-1) unstable; urgency=low

  * bugfix release
  - properly handle binNMU .changes files
  - fix directory guessing problems in bash completions scripts
  - add zsh completion scripts
  - fix some deficits in the changestool program

 -- Bernhard R. Link <brlink@debian.org>  Sun, 29 Jul 2007 13:22:40 +0200

reprepro (2.2.2-1) unstable; urgency=low

  * bugfix and integration release
  - fix example typos in manual.html (Closes: 429172)
  - set GPG_TTY to help pinentry-curses
  - processincoming can be limited to a single file
    (to better integrate with inoticoming).
  * add Vcs- headers

 -- Bernhard R. Link <brlink@debian.org>  Sun, 24 Jun 2007 13:24:13 +0200

reprepro (2.2.1-1) unstable; urgency=low

  * bugfix release
  - fix mixup of the name of the --spacecheck option
  - fix missing options in bash completions
  - fix segfault when including changes without notificators (closes: #427390)

 -- Bernhard R. Link <brlink@debian.org>  Sun,  3 Jun 2007 20:02:22 +0200

reprepro (2.2.0-1) unstable; urgency=low

  * new release
  - add notification scripts for .changes files (per distribution)
  - fix bug not calling all notifiers when they need too long
  - new --wait-for-lock option
  - check for enough free space on update
  - fix bug of remove not reducing tracking when mode is minimal
  - renames cleartracks to removealltracks
  - new tidytracks command

 -- Bernhard R. Link <brlink@debian.org>  Sat,  2 Jun 2007 12:54:02 +0200

reprepro (2.1.0-1) experimental; urgency=low

  * new release
  - several changes in status messages (closes: 414514)
  - add support for log files and to call notification scripts.
  - example how to use this to generate something like packages.d.o/changelogs/

 -- Bernhard R. Link <brlink@debian.org>  Wed, 28 Mar 2007 19:14:26 +0200

reprepro (2.0.0-1) experimental; urgency=low

  * new release
  - contains a little bit of factorisation that might break stuff, thus .0.0
  - new action "processincoming" to get packages from an incoming directory
  - new action "gensnapshot" to export a durable state of a distribution
  - adds AlsoAcceptFor header, thanks for the suggestion (Closes: 406597)

 -- Bernhard R. Link <brlink@debian.org>  Tue, 27 Feb 2007 19:07:16 +0100

reprepro (1.3.1-1) unstable; urgency=low

  * bugfix release
  - make changestool's updatechecksums work with '-sd' .changes-files
  - fix some spelling errors (Closes: 396316)

 -- Bernhard R. Link <brlink@debian.org>  Wed,  1 Nov 2006 13:45:35 +0100

reprepro (1.3.0-1) unstable;urgency=low

  * make package description libdb version independent (Closes: 387345)
  * fix typos and spelling errors in manpage (Closes: 390734, 390737)
  * new release
  - ported to newer libgpgme
  - each distribution can now have a Uploaders: to require signatures of .changes files
  - multiple chained filterlists possible
  - more (--ignore'able) checks for source versions of binaries
  - add changestool program to preprocess .changes
  * build-depend on libgpgme11-dev

 -- Bernhard R. Link <brlink@debian.org>  Wed, 11 Oct 2006 15:45:37 +0200

reprepro (1.2.0-1) unstable; urgency=low

  * new release
  - some debug/warning/errormessages improved
  - manpage no longer claims using libdb3 (Closes: 384075)
  - support .changes files referencing .tar.bz2 and/or .diff.bz2
  - fix bug dalaying full Contents-* file generation
  * no longer ignore make distclean errors

 -- Bernhard R. Link <brlink@debian.org>  Mon,  4 Sep 2006 17:08:10 +0200

reprepro (1.1.0-1) unstable; urgency=low

  * new release
  - add "minimal" and "all" modes to the (still experimental) source
    package tracking
  - clarify manpage that tracking needs exactly one of minimal all or keep.
  	(Closes: #378968)
  - cleartracks removes now unnecessary files unless --keepunreferenced given
  - fix bug of uncompressed Sources file sometimes not showing up in Release
    files when the file is not generated.

 -- Bernhard R. Link <brlink@debian.org>  Sat, 29 Jul 2006 12:52:45 +0200

reprepro (1.0.1-1) unstable; urgency=low

  * new release
  - new clearvanished command to clean database files a bit
  - cope with GNU ar style .deb files (Closes: 378237)
  - retry control if no ./control in control.tar.gz of a .deb (Closes: 378425)

 -- Bernhard R. Link <brlink@debian.org>  Sun, 16 Jul 2006 12:40:33 +0200

reprepro (1.0.0-1) unstable; urgency=low

  * new release
  - fixed typos in --help output (Closes: 372024)
  - catch Ctrl-C (Closes: 315162)
  - adding a .changes files will copy files later
    and delete the copies in the pool again if
    an error is found before including any package (Closes: 359644)
  - add predelete action (Closes: 371197)
  - add a copy action to copy single packages from one distribution to another

 -- Bernhard R. Link <brlink@debian.org>  Sat, 24 Jun 2006 10:34:39 +0200

reprepro (0.9.1-1) unstable; urgency=low

  * fix bug in post-export script handling
    (so that tiffany.example now generate diffs apt-get can parse)
  * fix typo in description (Closes: 368813)

 -- Bernhard R. Link <brlink@debian.org>  Thu,  1 Jun 2006 10:29:02 +0200

reprepro (0.9.0-1) unstable; urgency=low

  * new release
  - new --export= option
  - new pull action to update one local distribion from another local one
  - new Contents file generation support
  - some minor bugfixes
  * now build-depends on and links against libdb4.3-dev (Closes: #367015)
  * now build-depends on and links against libarchive-dev

 -- Bernhard R. Link <brlink@debian.org>  Sun, 14 May 2006 16:22:59 +0200

reprepro (0.8.2-1) unstable; urgency=low

  * install bash_completion script (Closes: 356340)
  * patch release with some bugfixes
  - add --ignore=missingfile (Closes: 357803)
  - explicitly remember which list files were already
    successfully processed for --skipold  (Closes: 363411)
  - some more warnings

 -- Bernhard R. Link <brlink@debian.org>  Sat, 22 Apr 2006 20:32:58 +0200

reprepro (0.8.1-1) unstable; urgency=low

  * patch release as new version may need some time
  - some bugfixes (segfault, memmory leak, manpage typos)
  - enforcement of extensions of include{,dsc,deb,udeb}
  - support generation of the NotAutomatic field. (Closes: 353534)

 -- Bernhard R. Link <brlink@debian.org>  Mon, 20 Feb 2006 12:23:37 +0100

reprepro (0.8-1) unstable; urgency=low

  * fix some spelling errors in description (Closes: #344331)
  * new version
  - rmdir directories after something was removed from them (Closes: 342772)
  - new --keepdirectories option to get old behaviour
  - skip updating targets when no new index files were downloaded
  - new --noskipold option to get old behaviour
  - always place the checksum of the uncompressed file in the Release
    file, even if not generated. (Fixing problems newer apts have).
  - add native .bz2 compression support
  - speed partial exports by caching md5sums in a file instead of
    reading them from disc.

 -- Bernhard R. Link <brlink@debian.org>  Fri, 24 Dec 2005 13:30:41 +0100

reprepro (0.7-1) unstable; urgency=low

  * fix example config lines in bzip.example (Closes: 335959)
  * new version
  - missingfield,brokenold,brokenversioncmp,unusedarch,surpisingarch
    are now --ignoreable
  - some little bugfixes and cleanups (like segfault when empty
    update file and others)
  - documentation updates and improves

 -- Bernhard R. Link <brlink@debian.org>  Thu,  1 Dec 2005 20:40:34 +0100

reprepro (0.6-1) unstable; urgency=low

  * add suggest for gnupg-agent (Closes: 324151)
  * new version
  - adds createsymlinks command (Closes: 324155)
  - fixes FilterList parsing (Closes: 326861)
  - add conf/options file for default options
  - putting .changes in wrong distribution is
    now an (--ignoreable) error.

 -- Bernhard R. Link <brlink@debian.org>  Sat, 24 Sep 2005 17:11:42 +0200

reprepro (0.5-1) unstable; urgency=low

  * new version
  - add quick&dirty --ask-passphrase option
  - SignWith's argument is now used
  - allow ~ in versions of filenames listed in .changes files
  - starts to track source packages, which yet mostly only:
    + allow to include .changes files into the pool (Closes: 309703)
    + keep no longer used files of one distribution (Closes: 309414)
  - include English-fixes and new parts about apache2 
    to short-howto from V. Stanley Jaddoe (Closes: 319708)
  - include example from Goswin Brederlow (Closes: 306982)

 -- Bernhard R. Link <brlink@debian.org>  Wed,  3 Aug 2005 20:22:37 +0200

reprepro (0.4-1) unstable; urgency=low

  * new version
    - add Fallback mirror for updates
    - fix bug that readded packages in some update-scenarios
    - many tidy ups

 -- Bernhard R. Link <brlink@debian.org>  Thu,  2 Jun 2005 10:28:45 +0200

reprepro (0.3-1) unstable; urgency=low

  * new version:
    - Override: SourceOverride: replaced by (Deb|UDeb|Dsc)Override
    - new command reoverride to reapply override information.
    - copied files are created without executable bit (Closes: #303195)

 -- Bernhard R. Link <brlink@debian.org>  Tue,  5 Apr 2005 22:08:35 +0200

reprepro (0.2-1) unstable; urgency=low

  * new version:
  - fix overflow in chunks_replacefield
  - fix problem when downloading after no index files were downloaded
  - --basedir no longer overwrites prior given more sepecific dirs
  - exporting now writes index files and Release files into temporary
    files and moved them to their final place all at once.
  - new DebIndicies/UDebIndices/DscIndices options to control how to
    generate Index files and run hooks over it. (Including examples
    for generating .bz2 files or apt-qupdate'able .diff/ directories)

 -- Bernhard R. Link <brlink@debian.org>  Sun, 20 Feb 2005 15:25:11 +0100

reprepro (0.1.1-1) unstable; urgency=low

  * new version fixing --includeonlysigned

 -- Bernhard R. Link <brlink@debian.org>  Wed,  9 Feb 2005 12:25:04 +0100

reprepro (0.1-1) unstable; urgency=low

  * Initial Upload.

 -- Bernhard R. Link <brlink@debian.org>  Sun,  6 Feb 2005 13:43:25 +0100

